package com.ffii.fpsms.modules.user.web;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.annotation.Secured;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class TestController {

    private final Log logger = LogFactory.getLog(getClass());
    
    @GetMapping("/test")
    @Secured("ROLE_USER")
    public ResponseEntity<?> test() throws Exception {
        logger.info("hihihihihii");
        return ResponseEntity.ok("hihi");
    }
}
